> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create An Outreach Workflow Stage

> Create a Stage for an Outreach Workflow.



## OpenAPI

````yaml /openapi.json post /v1/outreach-workflows/{outreach_workflow_id}/stages
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/outreach-workflows/{outreach_workflow_id}/stages:
    post:
      tags:
        - Outreach Workflows
      summary: Create An Outreach Workflow Stage
      description: Create a Stage for an Outreach Workflow.
      operationId: outreach-workflow.stages.create
      parameters:
        - in: path
          name: outreach_workflow_id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOutreachWorkflowStage'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutreachWorkflowStage'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    CreateOutreachWorkflowStage:
      type: object
      properties:
        action:
          enum:
            - email
            - call
        auto_send:
          type: boolean
        cc:
          type: array
          items:
            type: string
            format: email
        cc_secondary_contacts:
          type: boolean
          default: false
        email_template:
          type: string
          description: The `EmailTemplate` identifier, (e.g. `eml_tmpl_abc123`).
          nullable: true
        event:
          type: string
          enum:
            - invoice.due_date
            - invoice.issued_at
            - payment.applied
        external_roles_to_cc:
          type: array
          items:
            enum:
              - billing_contact
              - executive
              - economic_user
        internal_roles_to_cc:
          type: array
          items:
            enum:
              - account_manager
              - account_executive
              - csm
        is_always_run_enabled:
          type: boolean
        name:
          type: string
        num_days:
          type: integer
        outreach_window_start:
          type: string
          nullable: true
        outreach_window_end:
          type: string
          nullable: true
        recurrence_interval_days:
          type: integer
          nullable: true
        recurrence_end_offset_days:
          type: integer
          nullable: true
        time_trigger:
          type: string
          enum:
            - after
            - before
            - 'on'
      required:
        - event
        - name
        - time_trigger
    OutreachWorkflowStage:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        action:
          maxLength: 5
          enum:
            - email
            - call
        auto_send:
          type: boolean
          description: >-
            Whether to automatically send emails created by this stage. When
            `false`, the emails will be created and left in a draft state for
            you to send. Defaults to `true`.
        cc:
          type: array
          description: List of email addresses to CC on the emails created by this stage.
          items:
            type: string
        cc_secondary_contacts:
          type: boolean
          description: >-
            Whether to CC all external contacts on the emails created by this
            stage. 
        created_at:
          type: string
          format: date-time
        email_template:
          $ref: '#/components/schemas/EmailTemplate1'
        event:
          type: string
        external_roles_to_cc:
          type: array
          description: List of external roles to CC on the emails created by this stage.
          items:
            type: string
        fallback_email_template:
          $ref: '#/components/schemas/EmailTemplate1'
        internal_roles_to_cc:
          type: array
          description: List of internal roles to CC on the emails created by this stage.
          items:
            type: string
        is_always_run_enabled:
          type: boolean
          description: Whether to ignore the workflow's active days.
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          description: The name of the stage.
        num_days:
          type: integer
          nullable: true
        object:
          type: string
        outreach_window_end:
          type: string
          description: >-
            Override end time for outreach window (optional stage-level
            override)
          nullable: true
        outreach_window_start:
          type: string
          description: >-
            Override start time for outreach window (optional stage-level
            override)
          nullable: true
        recurrence_end_offset_days:
          type: integer
          description: >-
            If set, stops recurring after N days past the event date; null where
            time_trigger = 'before' = until event date, null where time_trigger
            = 'after' = forever.
          nullable: true
        recurrence_interval_days:
          type: integer
          description: >-
            If set (>0), after the initial trigger this stage will re-fire every
            X days. Null = no recurrence.
          nullable: true
        time_trigger:
          type: string
        workflow_id:
          type: string
          maxLength: 32
      required:
        - action
        - event
        - name
        - object
        - time_trigger
        - workflow_id
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
    EmailTemplate1:
      type: object
      properties:
        id:
          type: string
          maxLength: 32
        auto_correct:
          type: boolean
        body:
          type: string
          nullable: true
        cc:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
        folder_id:
          type: string
          maxLength: 32
          nullable: true
        is_default:
          type: boolean
          description: Whether this is the default email template.
        modified_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          maxLength: 128
          description: The name of the email template.
          nullable: true
        object:
          type: string
        subject:
          type: string
          description: The subject of the email template.
          nullable: true
      required:
        - object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````